%define languageenglazy Greek
%define languagecode    el
%define lc_ctype        el_GR

Name:           hunspell-%{languagecode}
Epoch:          1
Version:        0.9
Release:        %mkrel 4
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+ or LGPLv2+ or MPL
Group:          System/Internationalization
URL:            http://ispell.math.upatras.gr/?section=oofficespell&subsection=howto
Source0:        http://ispell.math.upatras.gr/files/ooffice/%{lc_ctype}-%{version}.zip

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-el
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-el_CY = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-el_CY = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
chmod -x *

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_el_GR.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1:0.9-4.mga9
+ Revision: 1807899
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:0.9-3.mga8
+ Revision: 1501591
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1:0.9-2.mga7
+ Revision: 1278723
- Mageia 7 Mass Rebuild

* Thu Mar 29 2018 kekepower <kekepower> 1:0.9-1.mga7
+ Revision: 1213418
- Update to version 0.9

* Thu Feb 04 2016 umeabot <umeabot> 1:0.8-12.mga6
+ Revision: 935465
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.8-11.mga5
+ Revision: 748017
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.8-10.mga5
+ Revision: 680228
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1:0.8-9.mga4
+ Revision: 505605
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:0.8-8.mga3
+ Revision: 353433
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1:0.8-7.mga3
+ Revision: 325225
- stop producing language aliases

* Tue Mar 20 2012 kamil <kamil> 1:0.8-6.mga2
+ Revision: 224598
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 1:0.8-5.mga2
+ Revision: 207703
- use better obsoleting of myspell

* Tue Jan 17 2012 kamil <kamil> 1:0.8-4.mga2
+ Revision: 197140
- adapt .spec to the new policy
+ lmenut <lmenut>
- fix permissions of world-writable files

* Sat Mar 12 2011 dmorgan <dmorgan> 1:0.8-2.mga1
+ Revision: 68729
- imported package hunspell-el


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 13 2011 Caolán McNamara <caolanm@redhat.com> - 1:0.8-1
- latest version

* Wed Jun 09 2010 Caolán McNamara <caolanm@redhat.com> - 1:0.7-5
- Resolves: rhbz#602263 clarify licence

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 12 2009 Caolán McNamara <caolanm@redhat.com> - 1:0.7-3
- extend coverage

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Aug 20 2007 Caolán McNamara <caolanm@redhat.com> - 1:0.7-1
- latest upstream version
- clarify license version

* Thu Dec 07 2006 Caolán McNamara <caolanm@redhat.com> - 0.20041220-1
- initial version
